import { default as Daet } from './index.js';
export declare function rightNow(): string;
export declare function relativeTicks({ past, ticks, }: {
    past: boolean;
    ticks: string;
}): string;
export declare function seconds({ seconds }: {
    seconds: number;
}): string;
export declare function relativeSeconds(opts: {
    past: boolean;
    seconds: number;
}): string;
export declare function minutes({ minutes }: {
    minutes: number;
}): string;
export declare function relativeMinutes(opts: {
    past: boolean;
    minutes: number;
}): string;
export declare function hours({ hours }: {
    hours: number;
}): string;
export declare function hoursAndMinutes(opts: {
    hours: number;
    minutes: number;
}): string;
export declare function yesterdayOrTommorow({ past }: {
    past: boolean;
}): "yesterday" | "tomorrow";
export declare function relativeHoursAndMinutes(opts: {
    past: boolean;
    hours: number;
    minutes: number;
}): string;
export declare function relativeDelta(opts: {
    past: boolean;
    delta: number;
}): string;
export declare function weekdayThisWeek({ weekday }: {
    weekday: string;
}): string;
export declare function weekdayNextWeek({ weekday }: {
    weekday: string;
}): string;
export declare function fewSeconds({ past }: {
    past: boolean;
}): "a few seconds ago" | "in a few seconds";
export declare function underMinute({ past }: {
    past: boolean;
}): "under a minute ago" | "in under a minute";
export declare function earlierOrLaterToday({ past }: {
    past: boolean;
}): "earlier today" | "later today";
export declare function earlierOrLater({ past }: {
    past: boolean;
}): "sometime earlier" | "sometime later";
export declare function earlierThisWeek(): string;
export declare function earlierLastWeek(): string;
export declare function relativeThisWeek({ past, when, }: {
    past: boolean;
    when: Daet;
}): string;
export declare function relativeSecondWeek({ past, when, }: {
    past: boolean;
    when: Daet;
}): string;
//# sourceMappingURL=intl.d.ts.map